diff --git a/changelog b/changelog
index 499e97e..a06d920 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090925 tpd src/axiom-website/patches.html 20090925.02.tpd.patch
+20090925 tpd src/interp/iterator.lisp cleanup
 20090925 tpd src/axiom-website/patches.html 20090925.01.tpd.patch
 20090925 tpd src/interp/info.lisp cleanup
 20090924 tpd src/axiom-website/patches.html 20090924.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2b62edb..6331ad3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2028,5 +2028,7 @@ src/interp/define.lisp cleanup<br/>
 src/interp/functor.lisp cleanup<br/>
 <a href="patches/20090925.01.tpd.patch">20090925.01.tpd.patch</a>
 src/interp/info.lisp cleanup<br/>
+<a href="patches/20090925.02.tpd.patch">20090925.02.tpd.patch</a>
+src/interp/iterator.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/iterator.lisp.pamphlet b/src/interp/iterator.lisp.pamphlet
index d6bd49c..8abd72c 100644
--- a/src/interp/iterator.lisp.pamphlet
+++ b/src/interp/iterator.lisp.pamphlet
@@ -18,6 +18,7 @@
 ; compReduce1(form,m,e,$formalArgList)
 
 (DEFUN |compReduce| (|form| |m| |e|)
+  (declare (special |$formalArgList|))
   (|compReduce1| |form| |m| |e| |$formalArgList|))
 
 ;compReduce1(form is ["REDUCE",op,.,collectForm],m,e,$formalArgList) ==
@@ -61,7 +62,7 @@
             |collectForm| |collectOp| |body| |op| |itl| |acc|
             |afterFirst| |bodyVal| |part1| |part2| |part3| |id|
             |identityCode| |LETTMP#1| |untilCode| |finalCode|)
-    (DECLARE (SPECIAL |$sideEffectsList| |$until| |$initList|
+    (DECLARE (SPECIAL |$sideEffectsList| |$until| |$initList| |$Boolean| |$e|
                       |$endTestList|))
     (RETURN
       (SEQ (PROGN
@@ -198,6 +199,7 @@
 ;  GET(x,"THETA") is [y] => y
 
 (DEFUN |getIdentity| (|x| |e|)
+  (declare (ignore |e|))
   (PROG (|ISTMP#1| |y|)
     (RETURN
       (SEQ (COND
@@ -214,6 +216,7 @@
 ;  [numberize first x,:numberize rest x]
 
 (DEFUN |numberize| (|x|)
+  (declare (special |$Zero| |$One|))
   (COND
     ((BOOT-EQUAL |x| |$Zero|) 0)
     ((BOOT-EQUAL |x| |$One|) 1)
@@ -267,14 +270,12 @@
 ;        coerceExit([form',m'',e'],targetMode)
 
 (DEFUN |compRepeatOrCollect,fn|
-       (|form| |$exitModeStack| |$leaveLevelStack| |$formalArgList|
-               |e|)
-  (DECLARE (SPECIAL |$exitModeStack| |$leaveLevelStack|
-                    |$formalArgList|))
+       (|form| |$exitModeStack| |$leaveLevelStack| |$formalArgList| |e|)
+  (DECLARE (SPECIAL |$exitModeStack| |$leaveLevelStack| |$formalArgList| ))
   (PROG (|$until| |body| |itl| |x'| |targetMode| |repeatOrCollect|
             |bodyMode| |body'| |m'| |LETTMP#1| |untilCode| |e'| |itl'|
             |form'| |u| |m''|)
-    (DECLARE (SPECIAL |$until|))
+    (DECLARE (SPECIAL  |$Boolean| |$until| |$NoValueMode| ))
     (RETURN
       (SEQ (SPADLET |$until| NIL)
            (PROGN
@@ -406,6 +407,7 @@
                      |targetMode|))))))
 
 (DEFUN |compRepeatOrCollect| (|form| |m| |e|)
+  (declare (special |$exitModeStack| |$leaveLevelStack| |$formalArgList|))
   (|compRepeatOrCollect,fn| |form| (CONS |m| |$exitModeStack|)
       (CONS (|#| |$exitModeStack|) |$leaveLevelStack|) |$formalArgList|
       |e|))
@@ -512,8 +514,9 @@
 (DEFUN |compIterator| (|it| |e|)
   (PROG (|y| |y'| |mOver| |mUnder| |y''| |m''| |index| |ISTMP#2|
              |ISTMP#3| |start'| |inc'| |final'| |start| |inc| |final|
-             |optFinal| |indexmode| |LETTMP#1| |p'| |m| |p| |ISTMP#1|
-             |x| |u|)
+             |optFinal| |indexmode| |LETTMP#1| |p'| |m| |p| |ISTMP#1| |x| |u|)
+  (declare (special |$Boolean| |$until| |$EmptyMode| |$Integer|
+                    |$NonNegativeInteger| |$SmallInteger| |$formalArgList|))
     (RETURN
       (COND
         ((AND (PAIRP |it|) (EQ (QCAR |it|) 'IN)
